Bug 979458 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
[abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:9cebd7e8873d0881a7a5f169ada...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 11:35 EDT by delete this account
Modified: 2015-02-17 10:43 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:43:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (98.29 KB, text/plain)
2013-06-28 11:35 EDT, delete this account
no flags Details

  None (edit)
Description delete this account 2013-06-28 11:35:04 EDT
Description of problem:
Happens at boot when any monitors are connected via the docking station.  The built in display works, but is limited to the Intel graphics capabilities.

Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffffa01715a6>] nvc0_vm_map_sg+0x86/0x100 [nouveau]
PGD 416714067 PUD 414c11067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: ebtable_nat ebtables nfsv3 nfs_acl nfsv4 auth_rpcgss nfs lockd sunrpc dns_resolver fscache rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables xt_physdev nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack vfat fat arc4 iwldvm mac80211 btusb bluetooth snd_hda_codec_idt uvcvideo acpi_cpufreq mperf coretemp kvm_intel kvm videobuf2_vmalloc videobuf2_memops videobuf2_core videodev dell_laptop crc32_pclmul crc32c_intel media iTCO_wdt ppdev iTCO_vendor_support ghash_clmulni_intel dcdbas iwlwifi cfg80211 snd_hda_intel snd_hda_codec e1000e ptp pps_core snd_hwdep snd_seq snd_seq_device snd_pcm dell_wmi sparse_keymap rfkill snd_page_alloc snd_timer snd soundcore i2c_i801 parport_pc parport microcode sdhci_pci sdhci mmc_core lpc_ich mfd_core mei uinput binfmt_misc nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper drm i2c_core wmi video
CPU 1 
Pid: 723, comm: Xorg Not tainted 3.9.6-301.fc19.x86_64 #1 Dell Inc. Latitude E6530/0N8CC4
RIP: 0010:[<ffffffffa01715a6>]  [<ffffffffa01715a6>] nvc0_vm_map_sg+0x86/0x100 [nouveau]
RSP: 0018:ffff880414e83618  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 0000000000002cf0 RCX: 000000000000059e
RDX: 00000000000004ff RSI: 0000000000000003 RDI: ffff8804138163c0
RBP: ffff880414e83670 R08: 0000000000000500 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000008000 R12: ffff8804157ce400
R13: 0000000000000000 R14: ffff88040af14c40 R15: ffff8804138163c0
FS:  00007fa973acd980(0000) GS:ffff88042e280000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000040af43000 CR4: 00000000001407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 723, threadinfo ffff880414e82000, task ffff88040aee8000)
Stack:
 ffff88040af14c40 00002cf40000000c 0000000500000000 0000000000002800
 0000000000000000 ffff88040af14c00 0000000000000500 ffff8804157ce400
 ffff880414cc1240 ffff88040af14c40 ffff88040af14c00 ffff880414e836c8
Call Trace:
 [<ffffffffa016f52c>] nouveau_vm_map_sg+0xdc/0x150 [nouveau]
 [<ffffffffa01c60d1>] nouveau_vma_getmap.isra.11+0x61/0x90 [nouveau]
 [<ffffffffa01c617a>] nouveau_bo_move_m2mf.isra.12+0x7a/0x130 [nouveau]
 [<ffffffffa01c6a7c>] nouveau_bo_move+0x9c/0x430 [nouveau]
 [<ffffffffa016f203>] ? nouveau_vm_map+0x13/0x20 [nouveau]
 [<ffffffffa0082cc5>] ttm_bo_handle_move_mem+0x245/0x5e0 [ttm]
 [<ffffffffa0083691>] ? ttm_bo_mem_space+0x171/0x350 [ttm]
 [<ffffffffa0083e27>] ttm_bo_move_buffer+0x117/0x140 [ttm]
 [<ffffffff811388b6>] ? __alloc_pages_nodemask+0x166/0xa30
 [<ffffffff812f26bf>] ? idr_get_empty_slot+0x16f/0x3c0
 [<ffffffffa0083eea>] ttm_bo_validate+0x9a/0x110 [ttm]
 [<ffffffffa01c73ea>] nouveau_bo_pin+0x9a/0x100 [nouveau]
 [<ffffffffa01c761c>] ? nouveau_bo_rd32+0x2c/0x30 [nouveau]
 [<ffffffffa01eb1af>] nv50_crtc_mode_set+0xff/0x410 [nouveau]
 [<ffffffffa0075e6c>] drm_crtc_helper_set_mode+0x27c/0x450 [drm_kms_helper]
 [<ffffffffa007748e>] drm_crtc_helper_set_config+0xa0e/0xb30 [drm_kms_helper]
 [<ffffffffa002d0e3>] drm_mode_set_config_internal+0x23/0x50 [drm]
 [<ffffffffa002fbf1>] drm_mode_setcrtc+0x521/0x590 [drm]
 [<ffffffffa01d1ff0>] ? nouveau_user_framebuffer_create+0x70/0xc0 [nouveau]
 [<ffffffff816434f2>] ? mutex_lock+0x12/0x30
 [<ffffffffa00202c9>] drm_ioctl+0x4e9/0x5b0 [drm]
 [<ffffffffa002f6d0>] ? drm_mode_setplane+0x3c0/0x3c0 [drm]
 [<ffffffff811ab295>] do_vfs_ioctl+0x305/0x520
 [<ffffffff811ab531>] sys_ioctl+0x81/0xa0
 [<ffffffff8164ea99>] system_call_fastpath+0x16/0x1b
Code: 08 00 00 00 48 89 45 c0 8d 43 04 89 45 b4 4c 89 e8 4d 89 fd 49 89 c7 eb 0b 0f 1f 40 00 48 8b 45 a8 8b 70 30 48 8b 45 c8 4c 89 ff <4a> 8b 04 28 48 c1 e8 08 48 89 c2 48 83 c8 03 48 83 ca 01 83 e6 
RIP  [<ffffffffa01715a6>] nvc0_vm_map_sg+0x86/0x100 [nouveau]
 RSP <ffff880414e83618>
Comment 1 delete this account 2013-06-28 11:35:10 EDT
Created attachment 766603 [details]
File: dmesg
Comment 2 Tomas Tomecek 2013-07-07 16:16:02 EDT
This happened to me when I installed updates on my Fedora 19 laptop (external nvidia gpu). When gdm unit started running during boot process, this oops occurred. (fixed it by installing updated kernel and xorg nouveau driver, don't know which one did the trick)
Comment 3 Fedora End Of Life 2015-01-09 13:34:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:43:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.